> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a broker

> Fetches a broker by the broker user id. This endpoint returns profile and brokerage context for the specified broker.



## OpenAPI

````yaml /openapi.json get /brokerage-firms/brokers/{brokerUserId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/brokers/{brokerUserId}:
    get:
      tags:
        - brokerage-firms
      summary: Get a broker
      description: >-
        Fetches a broker by the broker user id. This endpoint returns profile
        and brokerage context for the specified broker.
      operationId: BrokerController_getBroker
      parameters:
        - name: brokerUserId
          required: true
          in: path
          description: Broker user id
          schema:
            type: string
      responses:
        '200':
          description: Broker retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBrokerOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerNotFoundErrorDto'
              examples:
                BROKER_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetBrokerOutput:
      type: object
      properties:
        firstName:
          type: string
          description: First name
        lastName:
          type: string
          description: Last name
        userId:
          type: string
          description: User id
        email:
          type: string
        brokerRole:
          type: string
        brokerageFirmId:
          type: string
          description: Brokerage firm id
        productIds:
          description: Product ids
          type: array
          items:
            type: string
      required:
        - firstName
        - lastName
        - userId
        - brokerageFirmId
        - productIds
    BrokerNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKER_NOT_FOUND
        message:
          type: string
          example: Broker not found {brokerUserId}
        details:
          $ref: '#/components/schemas/BrokerNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    BrokerNotFoundDetailsDto:
      type: object
      properties:
        brokerUserId:
          type: string
      required:
        - brokerUserId

````